Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class SlotMerchantResult

    java.lang.Object
      net.minecraft.src.Slot
          net.minecraft.src.SlotMerchantResult

    public class SlotMerchantResult

extends Slot

Field Summary

Fields inherited from class net.minecraft.src.Slot
`inventory, slotNumber, xDisplayPosition, yDisplayPosition`

Constructor Summary
`SlotMerchantResult(EntityPlayer par1EntityPlayer, IMerchant par2IMerchant, InventoryMerchant par3InventoryMerchant, int par4, int par5, int par6)`

Method Summary
`ItemStack` | `decrStackSize(int par1)` Decrease the size of the stack in slot (first int arg) by the amount of the second int arg.
`boolean` | `isItemValid(ItemStack par1ItemStack)` Check if the stack is a valid item for this slot.
`void` | `onPickupFromSlot(EntityPlayer par1EntityPlayer, ItemStack par2ItemStack)`

Methods inherited from class net.minecraft.src.Slot
`canTakeStack, getBackgroundIconIndex, getHasStack, getSlotStackLimit, getStack, isSlotInInventory, onSlotChange, onSlotChanged, putStack`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SlotMerchantResult

    public SlotMerchantResult(EntityPlayer par1EntityPlayer,
                              IMerchant par2IMerchant,
                              InventoryMerchant par3InventoryMerchant,
                              int par4,
                              int par5,
                              int par6)

Method Detail

### isItemValid

    public boolean isItemValid(ItemStack par1ItemStack)

  Check if the stack is a valid item for this slot. Always true beside for the armor slots.

  Overrides:
    `isItemValid` in class `Slot`

### decrStackSize

    public ItemStack decrStackSize(int par1)

  Decrease the size of the stack in slot (first int arg) by the amount of the second int arg. Returns the new stack.

  Overrides:
    `decrStackSize` in class `Slot`

### onPickupFromSlot

    public void onPickupFromSlot(EntityPlayer par1EntityPlayer,
                                 ItemStack par2ItemStack)

  Overrides:
    `onPickupFromSlot` in class `Slot`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD